NETGEN(1)

NAME
netgen — Automatic 3d tetrahedral mesh generator

SYNOPSIS

netgen [OPTIONS...] [file.geo]

DESCRIPTION

This manual page documents briefly the netgen and bar commands.

This manual page was written for the Debian distribution because the original program does not have a manual page.

netgen is an automatic mesh generation tool for two and three dimensions. Netgen generates triangular or quadrilateral meshes in 2D, and tetrahedral meshes in 3D.

The input for 2D is described by spline curves, and the input for 3D problems is either defined by constructive solid geometries, or by the standard STL file format. Netgen contains modules for mesh optimization and hierarchical mesh refinement. Curved elements are supported of arbitrary order.

Homepage: https://ngsolve.org/

OPTIONS

-geofile=filename
    Input geometry file (alternative: netgen filename)

-meshfile=filename
    Output mesh file

-verycoarse 	  -coarse 	  -moderate 	  -fine 	  -veryfine
    Automatic mesh-size selection

--meshfiletype=type
    Filetype of output file, default is netgen file

--batchmode
    Run in batchmode

-V  Print additional information

SEE ALSO

gmsh (1)

AUTHOR

This manual page was written by Christophe Prud'homme prudhomm@debian.org for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.